org.appng.openapi.model

## Enum Link.TypeEnum

- java.lang.Object
- - java.lang.Enum<Link.TypeEnum>
  - - org.appng.openapi.model.Link.TypeEnum

- All Implemented Interfaces:
    Serializable, Comparable<Link.TypeEnum>
  Enclosing class:
    Link

      public static enum Link.TypeEnum
      extends Enum<Link.TypeEnum>

  * page - Links to a page. * extern - Links to an external resource. * intern - Links to an internal resource. * action - Links to an action. * datasource - Links to a datasource

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTION`
    `DATASOURCE`
    `EXTERN`
    `INTERN`
    `PAGE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Link.TypeEnum` | `fromValue(String value)`
    `String` | `getValue()`
    `String` | `toString()`
    `static Link.TypeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Link.TypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PAGE

          public static final Link.TypeEnum PAGE

    - #### EXTERN

          public static final Link.TypeEnum EXTERN

    - #### INTERN

          public static final Link.TypeEnum INTERN

    - #### ACTION

          public static final Link.TypeEnum ACTION

    - #### DATASOURCE

          public static final Link.TypeEnum DATASOURCE

  - ### Method Detail

    - #### values

          public static Link.TypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Link.TypeEnum c : Link.TypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Link.TypeEnum valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Link.TypeEnum>`

    - #### fromValue

          public static Link.TypeEnum fromValue(String value)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.